<?
header("Cache-Control: no-cache");
header("Pragma: no-cache");

?>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<?php

require_once('../../../conf/connection.php');

$codfactura=$_POST["codfacturatmp"];
$numlinea=$_POST["num"];
$cantidad=$_POST["cantidad"];
$descuento=$_POST["descuento"];
$bruto=$_POST["bruto"];
$des=$_POST["descuento"];
$sel_lineas="SELECT * FROM factulineatmp_proveedor WHERE codfactura='$codfactura' AND numlinea='$numlinea'";
$rs_lineas=mysql_query($sel_lineas);
$art=mysql_result($rs_lineas,0,"codigo");

$sel_art="SELECT * FROM articulos WHERE codarticulo='$art'";
$rs_art=mysql_query($sel_art);
$descuento_tr=mysql_result($rs_art,0,"des");
$cant_ant=mysql_result($rs_lineas,0,"cantidad");
$precio_ant=mysql_result($rs_lineas,0,"precio");
$num=mysql_num_rows($rs_lineas); 
//operaciones matematicas..

$descuento=$descuento/100;
$total=$precio_ant*$cantidad;
$descuento=$total*$descuento;
$total=$total-$descuento;

if ( $cantidad==0  ) { 
?> <script> alert("ERROR: Cantidad en cero... "); 
            window.history.back();
   </script> <?  
}else{ 
$consulta = "UPDATE factulineatmp_proveedor SET cantidad='$cantidad', dcto='$des', importe='$total'
 WHERE codfactura ='".$codfactura."' AND numlinea='".$numlinea."'";
$rs_consulta = mysql_query($consulta);

//selecciona el producto.-
$sel_lineas="SELECT * FROM factulineatmp_proveedor WHERE codfactura='$codfactura'";
$rs_lineas=mysql_query($sel_lineas);
$producto=mysql_result($rs_lineas,0,"codigo");
$cantidad=mysql_result($rs_lineas,0,"cantidad");
//fin



echo "<script>opener.location.href='frame_lineas.php?codfacturatmp=".$codfactura."';</script>";
?>
<script>
alert("Aviso: Registro modificado correctamente...");
window.close();
parent.document.getElementById("codbarras").focus();

</script>
<? } ?>